com.amazonaws.jmespath

## Interface JmesPathVisitor<Input,Output>

Type Parameters:
  `Input` - Input type for the visitor CodeGen visitor: Void Evaluation visitor: JsonNode
  `Output` - Output type for the visitor CodeGen visitor: String Evaluation visitor: JsonNode

All Known Implementing Classes:
  JmesPathEvaluationVisitor

    public interface JmesPathVisitor<Input,Output>

Visitor interface for delegating the Jmespath expression to its corresponding type for evaluation

### Method Summary

All Methods Instance Methods Abstract Methods
`Output` `visit(Comparator op, Input input)`
`Output` `visit(JmesPathAndExpression expression, Input input)`
`Output` `visit(JmesPathField fieldNode, Input input)`
`Output` `visit(JmesPathFilter filter, Input input)`
`Output` `visit(JmesPathFlatten flatten, Input input)`
`Output` `visit(JmesPathFunction function, Input input)`
`Output` `visit(JmesPathIdentity jmesPathIdentity, Input input)`
`Output` `visit(JmesPathLiteral literal, Input input)`
`Output` `visit(JmesPathMultiSelectList multiSelectList, Input input)`
`Output` `visit(JmesPathNotExpression expression, Input input)`
`Output` `visit(JmesPathProjection jmesPathProjection, Input input)`
`Output` `visit(JmesPathSubExpression subExpression, Input input)`
`Output` `visit(JmesPathValueProjection valueProjection, Input input)`

### Method Detail

#### visit

    Output visit(JmesPathSubExpression subExpression,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`

#### visit

    Output visit(JmesPathField fieldNode,
                 Input input)

#### visit

    Output visit(JmesPathProjection jmesPathProjection,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`

#### visit

    Output visit(JmesPathFlatten flatten,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`

#### visit

    Output visit(JmesPathIdentity jmesPathIdentity,
                 Input input)

#### visit

    Output visit(JmesPathValueProjection valueProjection,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`

#### visit

    Output visit(JmesPathFunction function,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`

#### visit

    Output visit(JmesPathLiteral literal,
                 Input input)

#### visit

    Output visit(JmesPathFilter filter,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`

#### visit

    Output visit(Comparator op,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`

#### visit

    Output visit(JmesPathNotExpression expression,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`

#### visit

    Output visit(JmesPathAndExpression expression,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`

#### visit

    Output visit(JmesPathMultiSelectList multiSelectList,
                 Input input)
          throws InvalidTypeException

Throws:
  `InvalidTypeException`